org.apache.maven.shared.artifact.filter.resolve

## Class OrFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.resolve.OrFilter

All Implemented Interfaces:
  TransformableFilter

    public class OrFilter
    extends Object
    implements TransformableFilter

A filter that combines zero or more other filters using a logical `OR`.

Since:
  3.0
Author:
  Robert Scholte
See Also:
  `OrDependencyFilter`, `OrDependencyFilter`

### Constructor Summary

Constructors
Constructor and Description
`OrFilter(Collection<TransformableFilter> filters)` The default constructor specifying a collection of filters of which at least one must match.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<TransformableFilter>` `getFilters()` Get the filters
`<T> T` `transform(FilterTransformer<T> transformer)` Transform this filter to a tool specific implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OrFilter

    public OrFilter(Collection<TransformableFilter> filters)

The default constructor specifying a collection of filters of which at least one must match.

Parameters:
  `filters` - the filters, may not be `null`

### Method Detail

#### getFilters

    public Collection<TransformableFilter> getFilters()

Get the filters

Returns:
  the filters, never `null`

#### transform

    public <T> T transform(FilterTransformer<T> transformer)

Transform this filter to a tool specific implementation

Specified by:
  `transform` in interface `TransformableFilter`
Type Parameters:
  `T` - the interface of the tool specific filter
Parameters:
  `transformer` - the transformer, may not be `null`
Returns:
  the transformed value, never `null`